Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 22 Dec 2014, 09:32
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Java 1.6u17
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 4 [50 Posts]   Goto page: Previous 1, 2, 3, 4 Next
Author Message
Wolf Pup

Joined: 27 Apr 2006
Posts: 637

PostPosted: Wed 09 Jul 2008, 20:30    Post subject:  

Java updated to 1.6u7
_________________

Visit The Repository - Helpful and hard-to-find treats for Puppy 3.
Click Here for Puppy Support Chat, + Helpful Links.
Back to top
View user's profile Send private message 
bambuko


Joined: 14 Nov 2007
Posts: 385
Location: North Devon

PostPosted: Thu 17 Jul 2008, 14:33    Post subject:  

I needed Java Runtime Environment to install and try the package I wanted on my notebook (details below)
Intel Mobile Celeron 550MHz CPU
640K System RAM
63M Extended RAM
128 Cache SRAM
Toshiba MK6015MAP hard disk
running Puppy 4.0 (Full install)

The package I wanted was:
http://www.notamplot.com/
anyway... I never got that far Crying or Very sad
Installed Java 1.6u7 and got the list of dozens of missing things - decided that it was beyond my capabilities for the moment and un-installed it.

And then fun and games started Evil or Very Mad
Upon re-booting X wouldn't work and took some time to get sorted (it's OK now), but my Seamonkey doesn't work anymore - ie despite network connection being OK, it just give me "Page Load Error"

Anyway... eventually after couple or shutdowns and re-boots my Seamonkey is fine and hopefully I am back where I started Laughing

However, the questions remain:
Is Java 1.6u7 OK for Puppy 4.0?
What about all the missing bit?

thanks Chris
Back to top
View user's profile Send private message 
Wolf Pup

Joined: 27 Apr 2006
Posts: 637

PostPosted: Thu 17 Jul 2008, 15:17    Post subject:  

bambuko wrote:

However, the questions remain:
Is Java 1.6u7 OK for Puppy 4.0?
What about all the missing bit?

thanks Chris


Java works alright in puppy 4 when testing via the livecd and pup_save file.

_________________

Visit The Repository - Helpful and hard-to-find treats for Puppy 3.
Click Here for Puppy Support Chat, + Helpful Links.
Back to top
View user's profile Send private message 
bambuko


Joined: 14 Nov 2007
Posts: 385
Location: North Devon

PostPosted: Thu 17 Jul 2008, 19:33    Post subject:  

Wolf Pup wrote:
Java works alright in puppy 4 when testing via the livecd and pup_save file.

so hopefully it should also work with my full install ...

why though, all this missing stuff when I install it?
and where do I find it? please Embarassed

I know that I have stumbled from my normal (beginners) section into "advanced topics" and am totally out of my depth Rolling Eyes

thanks Chris
Back to top
View user's profile Send private message 
Wolf Pup

Joined: 27 Apr 2006
Posts: 637

PostPosted: Thu 17 Jul 2008, 19:57    Post subject:  

Puppy's Dependency Check looks in the wrong places and reports missings libs. Only that Java.pet is needed to get java working, nothing else. If java still does not work, it could be a incomplete download.
_________________

Visit The Repository - Helpful and hard-to-find treats for Puppy 3.
Click Here for Puppy Support Chat, + Helpful Links.
Back to top
View user's profile Send private message 
bambuko


Joined: 14 Nov 2007
Posts: 385
Location: North Devon

PostPosted: Thu 17 Jul 2008, 20:03    Post subject:  

OK,
so if I understand you correctly:
install the pet
ignore warnings about missing stuff
and everything should be fine...

Well I shall have a go tomorrow (it's getting late tonight - 1 am)

BTW - how would I check that it is fine?

thanks
Chris
Back to top
View user's profile Send private message 
Wolf Pup

Joined: 27 Apr 2006
Posts: 637

PostPosted: Thu 17 Jul 2008, 20:16    Post subject:  

Test your java Here.

If your using firefox or opera, java is enabled automatically. Seamonkey has to be enabled manually.

_________________

Visit The Repository - Helpful and hard-to-find treats for Puppy 3.
Click Here for Puppy Support Chat, + Helpful Links.
Back to top
View user's profile Send private message 
bambuko


Joined: 14 Nov 2007
Posts: 385
Location: North Devon

PostPosted: Fri 18 Jul 2008, 06:35    Post subject:  

Wolf Pup,

I am delighted to report, that the message I got was:
Congratulations!
You have the recommended Java installed (Version 6 Update 7)


and that was on my crappy old notebook Laughing using Full install Puppy 4.0

thanks a lot Exclamation

Chris
Back to top
View user's profile Send private message 
saltydogg

Joined: 13 Aug 2008
Posts: 1

PostPosted: Wed 13 Aug 2008, 18:51    Post subject:  

OK I'm an absolute beginner at walking this Puppy thingy. In fact I'm finding just how little I do know about computers since the last few weeks of playing with it., but I DO know it's lightning fast and much more stable than my 98SE, especially in flash chat (doesn't work with the new BBC flash player, of course, but that would be too much to expect of any system outside of the Unseen University) and I'd very much like to get it working to my specs if at all possible,

So, anyway, I downloaded Java-1.6u7.pet (eventually, sigh; it was a massive 34MB and I learned the hard way that seamonkey doesn't seem to have a built-in download manager so when I lost my connection I had to start all over again, this time in Opera which I know I can trust to handle interrupted downloads) and proceeded to install.

I received the following error message ...
"The java-1.6u7.pet package has been downloaded to /root/.packages,
however there is not enough room to uncompress and install it.
The free space is 30370 blocks [my edit, what is a block?] but it is estimated you will need 51200 blocks temporarily for the expansion and install.
Note if you are using a pup_save.3fs personal storage file, it can be made bigger -- see Utilities menu."

I increased my pup save file, (BTW mine shows as a .2fs suffix, not .3fs, if that's important) as suggested, by 512MB, more than doubling it, and when I'd rebooted I saw free space in the system tray
had risen from 219 to 753MB....success!

However when I ran the install again I got the same error message with the SAME figures, i.e. free space is 30370 blocks, 51200 needed!

I'll be very grateful if someone can tell me where I go from here.

I'm starting Puppy 4.0 from a live CD and saving to flash drive.
My RAM is 319MB and processor Pentium II, 350 Mhz.
Please let me know if I need to provide any more information which would assist.


EDIT on 27/08/08 - Two weeks now and not one reply to my query. No-one can offer any suggestions at all?

Last edited by saltydogg on Wed 27 Aug 2008, 10:27; edited 2 times in total
Back to top
View user's profile Send private message 
Béèm


Joined: 21 Nov 2006
Posts: 11782
Location: Brussels IBM Thinkpad R40, 256MB, 20GB, WiFi ipw2100. Frugal Lin'N'Win

PostPosted: Wed 13 Aug 2008, 20:28    Post subject:  

bambuko wrote:
Wolf Pup,

I am delighted to report, that the message I got was:
Congratulations!
You have the recommended Java installed (Version 6 Update 7)


and that was on my crappy old notebook Laughing using Full install Puppy 4.0

thanks a lot Exclamation

Chris
Congratulations Bambuko, but please realize that you have a working Java for browsing only.
If you want to use Java for other applications then please read this thread.

_________________
Time savers:
Find packages in a snap and install using Puppy Package Manager (Menu).
Consult Wikka
Use peppyy's puppysearch
Back to top
View user's profile Send private message 
bambuko


Joined: 14 Nov 2007
Posts: 385
Location: North Devon

PostPosted: Mon 18 Aug 2008, 05:38    Post subject:  

Béèm wrote:
. . . but please realize that you have a working Java for browsing only.
If you want to use Java for other applications then please read this thread.


Thanks for your input Béèm, however I am not sure I understand?
I do not use Java for browsing at all - I have installed it only to allow me to run specific application (ie Notamplot) that required it.
It runs fine without me having to do anything special ?

Chris
ps having said all this - it is entirely possible that I don't know what I am talking about Embarassed
Back to top
View user's profile Send private message 
swiatmar


Joined: 09 Aug 2008
Posts: 241
Location: Danube, AT

PostPosted: Wed 05 Nov 2008, 15:49    Post subject: java puppy 4.1.1retro  

Ups,
somehow I can't install java on my notebook.I have the puppy 4.1.1 retro>
I have downloaded java 1.6u7.pet. Then klick to install .I get the question about installing and after that nothing is happening Sad
Back to top
View user's profile Send private message Visit poster's website 
Béèm


Joined: 21 Nov 2006
Posts: 11782
Location: Brussels IBM Thinkpad R40, 256MB, 20GB, WiFi ipw2100. Frugal Lin'N'Win

PostPosted: Wed 05 Nov 2008, 16:15    Post subject:  

swiatmar,
Maybe you have a corrupted download.
Check it with the md5sum.

_________________
Time savers:
Find packages in a snap and install using Puppy Package Manager (Menu).
Consult Wikka
Use peppyy's puppysearch
Back to top
View user's profile Send private message 
Wolf Pup

Joined: 27 Apr 2006
Posts: 637

PostPosted: Sat 08 Nov 2008, 01:06    Post subject:  

JRE updated to 1.6u10
_________________

Visit The Repository - Helpful and hard-to-find treats for Puppy 3.
Click Here for Puppy Support Chat, + Helpful Links.
Back to top
View user's profile Send private message 
edoc


Joined: 07 Aug 2005
Posts: 4459
Location: Southeast Georgia, USA

PostPosted: Tue 10 Feb 2009, 01:06    Post subject:  

Haven't spotted anything newer and have a page I'd like to view which demands x-java-vm so thought I'd give 1.6u10 a try in 4.12-Normal Frugal Seamonkey.

Will report back my results ... if I didn't break something loading this! Rolling Eyes

OK, I didn't break anything and am pleased to report that it works fine!

The site of interest is an older one with a little Java menu applet I wanted to look at:
http://www.qsl.net/k1yp/BA/ba1.html

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy Carolina 1.3 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 2 of 4 [50 Posts]   Goto page: Previous 1, 2, 3, 4 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0897s ][ Queries: 13 (0.0118s) ][ GZIP on ]